All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculations.percent
Class OLAPPercentCalculationsSelectorAdapter

    com.sas.dataselectors.calculations.percent.OLAPPercentCalculationsSelectorAdapter

All Implemented Interfaces:
  PercentCalculationsSelectorInterface, SelectorCommitInterface

    public class OLAPPercentCalculationsSelectorAdapter

Field Summary

Fields inherited from class com.sas.dataselectors.calculations.percent.BasePercentCalculationsSelectorAdapter
`dataSource, fractionalItems`

Fields inherited from interface com.sas.dataselectors.SelectorCommitInterface
`EXCEPTION_OCCURRED`

Constructor Summary
`OLAPPercentCalculationsSelectorAdapter()` Default constructor.
`OLAPPercentCalculationsSelectorAdapter(PercentCalculationsSelectorDataSourceInterface dataSource)` BusinessQuery Constructor.

Method Summary
`boolean` | `isOLAP()` Returns true if the data source for this adapter is OLAP based.
`protected void` | `updateEventInfo(java.util.Map infoMap)` Not used.

Methods inherited from class com.sas.dataselectors.calculations.percent.BasePercentCalculationsSelectorAdapter
`commit, getDataSource, getDenominators, getFractionalItems, getLocale, getNumerators, getPropertiesBean, setDataSource, setFractionalItems, setLocale`

Constructor Detail

### OLAPPercentCalculationsSelectorAdapter

    public OLAPPercentCalculationsSelectorAdapter()

  Default constructor.

### OLAPPercentCalculationsSelectorAdapter

    public OLAPPercentCalculationsSelectorAdapter(PercentCalculationsSelectorDataSourceInterface dataSource)

  BusinessQuery Constructor.

Method Detail

### isOLAP

    public boolean isOLAP()

  Returns true if the data source for this adapter is OLAP based.

  Specified by:
    `isOLAP` in interface `PercentCalculationsSelectorInterface`
  Overrides:
    `isOLAP` in class `BasePercentCalculationsSelectorAdapter`
  Returns:
    TRUE if the data source is OLAP based

### updateEventInfo

    protected void updateEventInfo(java.util.Map infoMap)

  Not used.

  Parameters:
    `infoMap` - The map to update with current event information.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.